-- ============================================================
--
--   The game's main file
--   Contains the 3 major LVE callbacks : load, update, draw
--
-- ============================================================


-- ============================================================
--   Prettify output, not so important
-- ============================================================
--
print("")
--
-- ============================================================


-- ============================================================
--   Initializations - order is important
-- ============================================================
--
Layout = require 'lib.luigi.layout'   -- LUIGI GUI framework
SLAXML = require 'lib.slaxml.slaxdom'
require("src/main/globalVariables")
require("src/main/loveCallbacks")
require("src/main/functionDefinitions")
require("lib/MiddleClass/MiddleClass")    -- OOP framework
require("lib/MiddleClass/StatefulObject") -- FSM objects
--
-- ============================================================


-- ============================================================
--   Classes definitions
-- ============================================================
--
require("src/classes/clsSpaceObject/clsSpaceObject")
require("src/classes/clsSpaceObject/clsShip/clsShip")
require("src/classes/clsSpaceObject/clsAsteroid/clsAsteroid")
require("src/classes/clsAnimation/clsAnimation")
require("src/classes/clsGame/clsGame")
--
-- ============================================================
