-- ============================================================
--
--   The game's "Menu" state
--
-- ============================================================


-- ============================================================
-- Define the state and its variables
--   Here will be the actual gameflow
-- ============================================================
--
-- Create the state
local stateCredits = clsGame:addState("Credits")

-- Set the layout and style for displaying the menu
local layoutCredits = Layout( require("src/classes/clsGame/stateCredits/layoutCredits") )
layoutCredits:setStyle( require("src/gui/styleDefault") )

-- Set an action for each Menu button
layoutCredits.btnExit:onPress(
	function()
		objGame:gotoState("Menu")
	end
)
--
-- ============================================================


-- ============================================================
-- Called when entering the state
-- ============================================================
--
function stateCredits:enterState()
	layoutCredits:show()
end
--
-- ============================================================


-- ============================================================
-- Called when exiting the state to enter another state
-- ============================================================
--
function stateCredits:exitState()
	layoutCredits:hide()
end
--
-- ============================================================


-- ============================================================
-- update() callback
--   called instead of the regular clsGame:update()
--   when the game is in the Menu state
-- ============================================================
--
function stateCredits:update(dt)
end
--
-- ============================================================


-- ============================================================
-- draw() callback
--   called instead of the regular clsGame:draw()
--   when the game is in the Menu state
-- ============================================================
--
function stateCredits:draw()
end
--
-- ============================================================


-- ============================================================
-- keypressed and keyreleased callback
--   called instead of the regular clsGame:keyreleased()
--   when the game is in the Menu state
-- ============================================================
--
function stateCredits:keypressed(key)   -- we do not need the unicode, so we can leave it out
	-- DEBUG
	-- print ( "State : Credits" )
	-- print ( type(key) )
	if type(key)=="table" then
		-- print("A keys sequence has been pressed :")
		for i,v in ipairs(key) do
			-- print( "\t Key : " .. v)
		end
	else
		-- print("Key : \"" .. tostring(key) .. "\" has been pressed")
	end
end
function stateCredits:keyreleased(key)
	-- DEBUG
	-- print ( "State : Credits" )
	-- print("Key : \"" .. tostring(key) .. "\" has been released")
end
--
-- ============================================================
