-- ============================================================
--
--   The game's "GameOver" state
--
-- ============================================================


-- ============================================================
-- Define the state and its variables
--   Here will be the actual gameflow
-- ============================================================
--
-- Create the state
local stateGameOver = clsGame:addState("GameOver")

-- Set the layout and style for displaying the menu
local layoutGameOver = Layout( require("src/classes/clsGame/stateGameOver/layoutGameOver") )
layoutGameOver:setStyle( require("src/gui/styleDefault") )

-- Set an action for each Menu button
layoutGameOver.btnExit:onPress(
	function()
		objGame:gotoState("Menu")
	end
)
--
-- ============================================================


-- ============================================================
-- Called when entering the state
-- ============================================================
--
function stateGameOver:enterState()
	layoutGameOver.btnExit.text = "Game Over, you survived " .. tostring(gameScore) .. " seconds !"
	layoutGameOver:show()
end
--
-- ============================================================


-- ============================================================
-- Called when exiting the state to enter another state
-- ============================================================
--
function stateGameOver:exitState()
	layoutGameOver:hide()
end
--
-- ============================================================


-- ============================================================
-- update() callback
--   called instead of the regular clsGame:update()
--   when the game is in the Menu state
-- ============================================================
--
function stateGameOver:update(dt)
end
--
-- ============================================================


-- ============================================================
-- draw() callback
--   called instead of the regular clsGame:draw()
--   when the game is in the Menu state
-- ============================================================
--
function stateGameOver:draw()
end
--
-- ============================================================


-- ============================================================
-- keypressed and keyreleased callback
--   called instead of the regular clsGame:keyreleased()
--   when the game is in the Menu state
-- ============================================================
--
function stateGameOver:keypressed(key)   -- we do not need the unicode, so we can leave it out
	-- DEBUG
	-- print ( "State : GameOver" )
	-- print ( type(key) )
	if type(key)=="table" then
		-- print("A keys sequence has been pressed :")
		for i,v in ipairs(key) do
			-- print( "\t Key : " .. v)
		end
	else
		-- print("Key : \"" .. tostring(key) .. "\" has been pressed")
	end
end
function stateGameOver:keyreleased(key)
	-- DEBUG
	-- print ( "State : GameOver" )
	-- print("Key : \"" .. tostring(key) .. "\" has been released")
end
--
-- ============================================================
