-- ============================================================
--
--   love callbacks
--
-- ============================================================


-- ============================================================
--   load : called on startup, inits game
-- ============================================================
--
function love.load()
	-- Create main game object
	objGame = clsGame:new()
	objGame:gotoState("Menu")
end
--
-- ============================================================


-- ============================================================
--   update : called once every frame, updates game state
-- ============================================================
--
function love.update(dt)
	-- Update global elapsed time
	elapsedTime = elapsedTime + dt
	spawnTimer  = spawnTimer  + dt


	-- Use the game's update function
	objGame:update(dt)
end
--
-- ============================================================


-- ============================================================
--   draw : called once every frame, draws frame
-- ============================================================
--
function love.draw()
	-- Use the game's draw function
	objGame:draw()
end
--
-- ============================================================


-- ============================================================
--   keypressed : called when a key is pressed
-- ============================================================
--
function love.keypressed(key)   -- we do not need the unicode, so we can leave it out
	-- Cascade the event down to the game
	objGame:keypressed(key)
end
function love.keyreleased(key)   -- we do not need the unicode, so we can leave it out
	-- Cascade the event down to the game
	objGame:keyreleased(key)
end
--
-- ============================================================
